OpenVDB 12.1.0

Loading...
Searching...
No Matches
RootNode< ChildT >::DenseIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::DenseIter< RootT >:

## Public Member Functions
__hostdev__ | DenseIter ()
__hostdev__ | DenseIter (RootT *parent)
__hostdev__ NodeT * | probeChild (ValueType &value) const
__hostdev__ bool | isValueOn () const
__hostdev__ DenseIter & | operator++ ()
__hostdev__ DenseIter | operator++ (int)
__hostdev__ | operator bool () const
__hostdev__ uint32_t | pos () const
__hostdev__ TileT * | tile () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const

## Protected Types
using | DataT = typename util::match_const<DataType, RootT>::type
using | TileT = typename util::match_const<Tile, RootT>::type

## Member Typedef Documentation

## ◆ DataT

template<typename ChildT>
template<typename RootT>

using DataT = typename util::match_const<DataType, RootT>::type
| protected inherited

## ◆ TileT

template<typename ChildT>
template<typename RootT>

using TileT = typename util::match_const<Tile, RootT>::type
| protected inherited

## Constructor & Destructor Documentation

## ◆ DenseIter() [1/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ DenseIter | ( |  | ) |
| inline

## ◆ DenseIter() [2/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ DenseIter | ( | RootT * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inline inherited

## ◆ getOrigin()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inline inherited

## ◆ isValueOn()

template<typename ChildT>
template<typename RootT>

__hostdev__ bool isValueOn | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename ChildT>
template<typename RootT>

__hostdev__ operator bool | ( |  | ) | const
| inline inherited

## ◆ operator++() [1/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ DenseIter & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ DenseIter operator++ | ( | int |  | ) |
| inline

## ◆ pos()

template<typename ChildT>
template<typename RootT>

__hostdev__ uint32_t pos | ( |  | ) | const
| inline inherited

## ◆ probeChild()

template<typename ChildT>
template<typename RootT>

__hostdev__ NodeT * probeChild | ( | ValueType & | value | ) | const
| inline

## ◆ tile()

template<typename ChildT>
template<typename RootT>

__hostdev__ TileT * tile | ( |  | ) | const
| inline inherited